System.Web 2.0.0.0 System.Object

The class manages the process of compiling assemblies and pages for an application. It is a sealed class and cannot be inherited.

contains static members that provide information about the compiled assemblies.

Provides a set of methods to help manage the compilation of an ASP.NET application.

- Constructor
  2.0.0.0
  To be added.
  To be added.
- Property
  System.Collections.IList To be added. To be added.

  Gets a list of assemblies built from the App_Code directory.

  2.0.0.0
- Method
  System.Object `` ``

  The method works for compiled and non-compile pages.

  Processes a file, given its virtual path, and creates an instance of the result.

  The that represents the instance of the processed file.

  The virtual path of the file to create an instance of. The base type that defines the object to be created. 2.0.0.0
- Method
  System.Web.Compilation.BuildDependencySet `` `` To be added.

  Returns a build dependency set for a virtual path if the path is located in the ASP.NET cache.

  A object that is stored in the cache, or null if the object cannot be retrieved from the cache.

  The context of the request. The virtual path from which to determine the build dependency set. 2.0.0.0
- Method
  System.Reflection.Assembly `` To be added.

  Compiles a file into an assembly using the specified virtual path.

  An object that is compiled from the specified virtual path, which is cached to either memory or to disk.

  The virtual path to build into an assembly. 2.0.0.0
- Method
  System.String `` To be added.

  Compiles a file, given its virtual path, and returns a custom string that the build provider persists in cache.

  A string, as returned by the method, that is cached to disk or memory.

  The virtual path of the file to build. 2.0.0.0
- Method
  System.Type `` To be added.

  Compiles a file, given its virtual path, and returns the compiled type.

  A object that represents the type generated from compiling the virtual path.

  The virtual path to build into a type. 2.0.0.0
- Method
  2.0.0.0
  System.Collections.ICollection

  The collection of assemblies that is returned from the method includes assemblies specified in the assemblies element of the Web.config file, assemblies built from custom code in the App_Code directory, and assemblies in other top-level folders.

  is introduced in the .NET Framework version 3.5. For more information, see The .NET Framework 3.5 Architecture.

  Returns a list of assembly references that all page compilations must reference.

  An collection of assembly references.

- Method
  System.Type `` ``

  A top-level assembly refers to the Global.asax file, or to a file that is in the App_GlobalResources, App_WebReferences, App_Code, or App_Browsers directory.

  Finds a type in the top-level assemblies or in assemblies that are defined in configuration, and optionally throws an exception on failure.

  A object that represents the requested parameter.

  The name of the type. true to throw an exception if a object cannot be generated for the type name; otherwise, false. 2.0.0.0
- Method
  System.Type `` `` ``

  A top-level assembly refers to the Global.asax file, or to a file that is in the App_GlobalResources, App_WebReferences, App_Code, or App_Browsers directory.

  Finds a type in the top-level assemblies, or in assemblies that are defined in configuration, by using a case-insensitive search and optionally throwing an exception on failure.

  A object that represents the requested parameter.

  The name of the type. true to throw an exception if a cannot be generated for the type name; otherwise, false. true if is case-sensitive; otherwise, false. 2.0.0.0
- Method
  System.Collections.ICollection `` To be added.

  Provides a collection of virtual-path dependencies for a specified virtual path.

  An collection of files represented by virtual paths that are caching dependencies for the virtual path.

  The virtual path used to determine the dependencies. 2.0.0.0